CMSIS-DSP: arm_fir_example_f32.c File Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
arm_fir_example_f32.c File Reference

## Macros

#define | TEST_LENGTH_SAMPLES
#define | SNR_THRESHOLD_F32
#define | BLOCK_SIZE
#define | NUM_TAPS_ARRAY_SIZE
#define | NUM_TAPS

## Functions

int32_t | main (void)

## Variables

float32_t | testInput_f32_1kHz_15kHz [TEST_LENGTH_SAMPLES]
float32_t | refOutput [TEST_LENGTH_SAMPLES]
const float32_t | firCoeffs32 [NUM_TAPS_ARRAY_SIZE]
uint32_t | blockSize
uint32_t | numBlocks
float32_t | snr

## Macro Definition Documentation

#define BLOCK_SIZE

Examples:
  arm_fir_example_f32.c.

#define NUM_TAPS

Examples:
  arm_fir_example_f32.c.

#define NUM_TAPS_ARRAY_SIZE

Examples:
  arm_fir_example_f32.c.

#define SNR_THRESHOLD_F32

Examples:
  arm_fir_example_f32.c.

#define TEST_LENGTH_SAMPLES

Examples:
  arm_fir_example_f32.c.

## Function Documentation

int32_t main | ( | void |  | ) |

Examples:
  arm_fir_example_f32.c.

## Variable Documentation

uint32_t blockSize

Examples:
  arm_fir_example_f32.c, and arm_signal_converge_example_f32.c.

const float32_t firCoeffs32[NUM_TAPS_ARRAY_SIZE]

Examples:
  arm_fir_example_f32.c.

uint32_t numBlocks

Examples:
  arm_fir_example_f32.c.

float32_t refOutput[TEST_LENGTH_SAMPLES]

Examples:
  arm_fir_example_f32.c.

float32_t snr

Examples:
  arm_fir_example_f32.c.

float32_t testInput_f32_1kHz_15kHz[TEST_LENGTH_SAMPLES]

Examples:
  arm_fir_example_f32.c.